=== debian/changelog ===
ros-indigo-robot-calibration (0.5.4-0trusty) trusty; urgency=high

  * only add observations when complete
  * Adds plane calibration
  * minor style fixes, remove outdated comments
  * fix warning (#28 <https://github.com/mikeferguson/robot_calibration/issues/28>)
  * pick correct sensor in each error block
  * use proper indices for multiple finders
  * fix: don't append observations if finder has failed
  * Contributors: Martin Günther, Michael Ferguson, Niharika Arora

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Jan 2018 08:00:00 -0000

ros-indigo-robot-calibration (0.5.3-0trusty) trusty; urgency=high

  * add support for multiple finders in a given pose
  * add support for ground plane calibration
  * add parameter for camera_info_topic in depth camera capture module
  * Contributors: Michael Ferguson, Niharika Arora

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-robot-calibration (0.5.2-0trusty) trusty; urgency=high

  * remove dependency on PCL
  * cleanup naming of member variables
  * fix centroid refinement, fixes #20 <https://github.com/mikeferguson/robot_calibration/issues/20>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Jul 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.5.1-0trusty) trusty; urgency=high

  * store calibration output in unique file name
  * better memory management in optimizer
  * parameterize sensor names in finders
  * checkerboard finder working on fetch
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 01 Jul 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.5.0-0trusty) trusty; urgency=high

  * add new CaptureConfig message for setting up samples
  * update optimizer to handle new types of error blocks
  * cleanup how we use the depth camera manager
  * refactor how feature finders are loaded
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.4.1-0trusty) trusty; urgency=high

  * check distance to expected pose in tracker process()
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 17 Jun 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.4.0-0trusty) trusty; urgency=high

  * fix for multiple joint_state publishers, roll back async spinner changes
  * output tracker status as image
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 07 Jun 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.3.1-0trusty) trusty; urgency=high

  * start async spinner earlier
  * update how we sleep for better data capture
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Apr 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.3.0-0trusty) trusty; urgency=high

  * process all callbacks in async spinner
  * make waitForCloud consistent between feature detectors
  * remove all calls to spinOnce in feature detectors, chain management
  * exit if not ros::ok(), fixes #12 <https://github.com/mikeferguson/robot_calibration/issues/12>
  * do not capture if move failed, fixes #14 <https://github.com/mikeferguson/robot_calibration/issues/14>
  * publish point cloud for checkerboard detector
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.2.2-0trusty) trusty; urgency=high

  * add support for velocity scaling factor
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 12 Apr 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.2.1-0trusty) trusty; urgency=high

  * fix uninitialized variable
  * test files should not use .launch extension
  * fix error_block_test, closes #11 <https://github.com/mikeferguson/robot_calibration/issues/11>
  * fix issue with capture stalling
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Apr 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.2.0-0trusty) trusty; urgency=high

  * enforce internal consistency between led features
  * remove opencv window, add cloud in message option
  * update how max error is handled
  * extend messages to support multiple sensors
  * implement ExtendedCameraInfo
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 16 Mar 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.1.2-0trusty) trusty; urgency=high

  * fix a number of warning
  * enable use of moveit for planning between poses
  * handle multiple joint_states publisher
  * update checkerboard_finder config
  * refactor led finder to use lots of parameters
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 15 Mar 2015 07:00:00 -0000

ros-indigo-robot-calibration (0.1.1-0trusty) trusty; urgency=high

  * first release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 05 Mar 2015 08:00:00 -0000
