=== debian/control ===
Source: ros-indigo-robot-calibration
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libgflags-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-indigo-actionlib, ros-indigo-camera-calibration-parsers, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-moveit-msgs, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-robot-calibration-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros
Homepage: http://ros.org/wiki/robot_calibration
Standards-Version: 3.9.2

Package: ros-indigo-robot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-indigo-actionlib, ros-indigo-camera-calibration-parsers, ros-indigo-control-msgs, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-kdl-parser, ros-indigo-moveit-msgs, ros-indigo-nav-msgs, ros-indigo-orocos-kdl, ros-indigo-robot-calibration-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros
Description: Calibrate a Robot
